{
	"format_version": "1.8.0",
	"animations": {
		"animation.xz_axis.size": {
			"loop": true,
			"animation_length": 20,
			"bones": {
				"block_1": {
					"scale": "q.property('rc:width') > 0 ? 1 : 0"
				},
				"block_2": {
					"scale": "q.property('rc:width') > 1 ? 1 : 0"
				},
				"block_3": {
					"scale": "q.property('rc:width') > 2 ? 1 : 0"
				},
				"block_4": {
					"scale": "q.property('rc:width') > 3 ? 1 : 0"
				},
				"block_5": {
					"scale": "q.property('rc:width') > 4 ? 1 : 0"
				},
				"block_6": {
					"scale": "q.property('rc:width') > 5 ? 1 : 0"
				},
				"block_7": {
					"scale": "q.property('rc:width') > 6 ? 1 : 0"
				},
				"block_8": {
					"scale": "q.property('rc:width') > 7 ? 1 : 0"
				},
				"block_9": {
					"scale": "q.property('rc:width') > 8 ? 1 : 0"
				},
				"block_10": {
					"scale": "q.property('rc:width') > 9 ? 1 : 0"
				},
				"block_11": {
					"scale": "q.property('rc:width') > 10 ? 1 : 0"
				},
				"block_12": {
					"scale": "q.property('rc:width') > 11 ? 1 : 0"
				},
				"block_13": {
					"scale": "q.property('rc:width') > 12 ? 1 : 0"
				},
				"block_14": {
					"scale": "q.property('rc:width') > 13 ? 1 : 0"
				},
				"block_15": {
					"scale": "q.property('rc:width') > 14 ? 1 : 0"
				},
				"block_16": {
					"scale": "q.property('rc:width') > 15 ? 1 : 0"
				},
				"block_17": {
					"scale": "q.property('rc:width') > 16 ? 1 : 0"
				},
				"block_18": {
					"scale": "q.property('rc:width') > 17 ? 1 : 0"
				},
				"block_19": {
					"scale": "q.property('rc:width') > 18 ? 1 : 0"
				},
				"block_20": {
					"scale": "q.property('rc:width') == 20 ? 1 : 0"
				},
				"block_21": {
					"scale": "q.property('rc:length') > 0 ? 1 : 0"
				},
				"block_22": {
					"scale": "q.property('rc:length') > 1 ? 1 : 0"
				},
				"block_23": {
					"scale": "q.property('rc:length') > 2 ? 1 : 0"
				},
				"block_24": {
					"scale": "q.property('rc:length') > 3 ? 1 : 0"
				},
				"block_25": {
					"scale": "q.property('rc:length') > 4 ? 1 : 0"
				},
				"block_26": {
					"scale": "q.property('rc:length') > 5 ? 1 : 0"
				},
				"block_27": {
					"scale": "q.property('rc:length') > 6 ? 1 : 0"
				},
				"block_28": {
					"scale": "q.property('rc:length') > 7 ? 1 : 0"
				},
				"block_29": {
					"scale": "q.property('rc:length') > 8 ? 1 : 0"
				},
				"block_30": {
					"scale": "q.property('rc:length') > 9 ? 1 : 0"
				},
				"block_31": {
					"scale": "q.property('rc:length') > 10 ? 1 : 0"
				},
				"block_32": {
					"scale": "q.property('rc:length') > 11 ? 1 : 0"
				},
				"block_33": {
					"scale": "q.property('rc:length') > 12 ? 1 : 0"
				},
				"block_34": {
					"scale": "q.property('rc:length') > 13 ? 1 : 0"
				},
				"block_35": {
					"scale": "q.property('rc:length') > 14 ? 1 : 0"
				},
				"block_36": {
					"scale": "q.property('rc:length') > 15 ? 1 : 0"
				},
				"block_37": {
					"scale": "q.property('rc:length') > 16 ? 1 : 0"
				},
				"block_38": {
					"scale": "q.property('rc:length') > 17 ? 1 : 0"
				},
				"block_39": {
					"scale": "q.property('rc:length') > 18 ? 1 : 0"
				},
				"block_40": {
					"scale": "q.property('rc:length') == 20 ? 1 : 0"
				},
				"bone46": {
					"scale": 1
				}
			}
		},
		"animation.xz_axis.static_x_axis": {
			"loop": "hold_on_last_frame",
			"bones": {
				"z": {
					"position": ["(q.property('rc:x') * 16)", 0, 0]
				},
				"y": {
					"position": ["(q.property('rc:x') * 16)", 0, 0]
				}
			}
		},
		"animation.xz_axis.update_x_axis": {
			"loop": "hold_on_last_frame",
			"bones": {
				"z": {
					"position": ["(q.property('rc:previous_x') * 16)", 0, 0]
				},
				"y": {
					"position": ["(q.property('rc:previous_x') * 16)", 0, 0]
				}
			}
		},
		"animation.xz_axis.static_z_axis": {
			"loop": "hold_on_last_frame",
			"bones": {
				"x": {
					"position": [0, 0, "(q.property('rc:z') * 16)"]
				},
				"y": {
					"position": [0, 0, "(q.property('rc:z') * 16)"]
				}
			}
		},
		"animation.xz_axis.update_z_axis": {
			"loop": "hold_on_last_frame",
			"bones": {
				"x": {
					"position": [0, 0, "(q.property('rc:previous_z') * 16)"]
				},
				"y": {
					"position": [0, 0, "(q.property('rc:previous_z') * 16)"]
				}
			}
		}
	}
}